package com.ics.system.service;


import com.ics.common.core.domain.IcsCustomerStaff;
import com.ics.system.domain.User;

import java.util.Map;

/**
 * Token
 *
 * @author jack
 */
public interface IAccessTokenService {

    /**
     * 查询token
     *
     * @param token
     * @return
     */
    User queryByToken(String token);

    /**
     * 创建token
     *
     * @param user
     * @return
     */
    Map<String, Object> createToken(User user);

    Map<String, Object> createStaffToken(IcsCustomerStaff icsCustomerStaff);

    /**
     * 删除token
     *
     * @param userId
     */
    void expireToken(long userId);
}
